%define name		swixml
%define version		1.2
%define release		0.b140.1jpp
%define	section		free


Name:		%{name}
Summary:	SwiXml GUI generating engine
Url:		http://www.swixml.org/
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	BSD
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
BuildArch:	noarch
Source0:	http://www.swixml.org/swixml_140.zip
Patch0:		swixml-1.2-MacApp.patch

BuildRequires:	ant
BuildRequires:	java2html
BuildRequires:	jdom
Requires:	jdom
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
SwiXml, is a small GUI generating engine for Java 
applications and applets. Graphical User Interfaces 
are described in XML documents that are parsed at 
runtime and rendered into javax.swing objects. 
Depending on the application, XML descriptors may 
be deployed with the remaining code or loaded from 
a remote server at runtime. This late binding of the 
GUI has many advantages. Enabling features in an 
application based on a license code or a user's role 
does not have to be hard coded anymore. Instead an 
XML document describing the application's GUI could 
be dynamically loaded.
Generating the GUI based on descriptors also has some 
of the advantages that code generators provide, but 
without generating the none-maintainable code. 

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%package manual
Summary:	Documents for %{name}
Group:		Development/Documentation

%description manual
Documents for %{name}.

%prep
%setup -q -n %{name}_140
chmod -R go=u-w *
find . -name "*.jar" -exec rm -f {} \;
rm src/org/swixml/MacApp.java

%patch0 -b .sav

%build
export CLASSPATH=$(build-classpath java2html jdom)
ant  -Dbuild.sysclasspath=first package javadoc

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 build/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# examples
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/samples
cp -pr samples/* $RPM_BUILD_ROOT%{_datadir}/%{name}/samples
cp -p *.txt $RPM_BUILD_ROOT%{_datadir}/%{name}

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

# manual
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/html
cp -pr build/html/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/html
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/tagdocs
cp -pr build/tagdocs/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/tagdocs

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(-,root,root)
%{_javadir}/*
%{_datadir}/%{name}

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files manual
%defattr(-,root,root)
%{_docdir}/%{name}-%{version}

%changelog
* Tue Mar 01 2005 Ralph Apel <r.apel at r-apel.de> 0:1.2-0.b140.1jpp
- First release

